<?php

namespace Realestate\Location\Repositories\Eloquent;

use Realestate\Location\Interfaces\LocationRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class LocationRepository extends BaseRepository implements LocationRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('realestate.location.location.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('realestate.location.location.model.model');
    }
}
