<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for location in location package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  location module in location package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Location',
    'names'         => 'Locations',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Locations',
        'sub'   => 'Locations',
        'list'  => 'List of locations',
        'edit'  => 'Edit location',
        'create'    => 'Create new location'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Show','Hide'],
            'type'                => ['Continent','Country','State','Location','Sublocation','Area'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'parent_id'                  => 'Please enter parent id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'code'                       => 'Please enter code',
        'slug'                       => 'Please enter slug',
        'name'                       => 'Please enter name',
        'description'                => 'Please enter description',
        'status'                     => 'Please select status',
        'type'                       => 'Please select type',
        'latitude'                   => 'Please enter latitude',
        'longitude'                  => 'Please enter longitude',
        'currency'                   => 'Please enter currency',
        'language'                   => 'Please enter language',
        'images'                     => 'Please enter images',
        'videos'                     => 'Please enter videos',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'parent_id'                  => 'Parent id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'code'                       => 'Code',
        'slug'                       => 'Slug',
        'name'                       => 'Name',
        'description'                => 'Description',
        'status'                     => 'Status',
        'type'                       => 'Type',
        'latitude'                   => 'Latitude',
        'longitude'                  => 'Longitude',
        'currency'                   => 'Currency',
        'language'                   => 'Language',
        'images'                     => 'Images',
        'videos'                     => 'Videos',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'parent_id'                  => ['name' => 'Parent id', 'data-column' => 1, 'checked'],
        'code'                       => ['name' => 'Code', 'data-column' => 2, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 3, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 4, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 5, 'checked'],
        'latitude'                   => ['name' => 'Latitude', 'data-column' => 6, 'checked'],
        'longitude'                  => ['name' => 'Longitude', 'data-column' => 7, 'checked'],
        'currency'                   => ['name' => 'Currency', 'data-column' => 8, 'checked'],
        'language'                   => ['name' => 'Language', 'data-column' => 9, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Locations',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
